/* MPU.H
 * Definitions etc. for the Roland MPU-401.
 *
 * Copyright (C) 1991 by Andrew Arensburger. Permission is granted to
 * use, copy and/or distribute this file freely for non-commercial purposes,
 * as long as this notice remains intact. Any commercial use is prohibited
 * without express permission from the author.
 *
 * If you make any changes, fix bugs, etc., please send them to me that I
 * might coordinate fixes and improvements.
 */

/* Ports */
#define MPU_CMD		0x331	/* Command port */
#define MPU_STAT	0x331	/* Status port */
#define MPU_DATA	0x330	/* Data port */

/* Commands */
#define CMD_UART	0x3f	/* Put MPU in UART mode */
#define CMD_RESET	0xff	/* Reset MPU */

#define DRR	(!(inportb(MPU_STAT)&0x40))	/* MPU is ready to receive
						 * data.
						 */
#define DSR	(!(inportb(MPU_STAT)&0x80))	/* MPU has data ready to
						 * be read.
						 */

extern unsigned char inportb();
